CapabilitiesSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class CapabilitiesSupport

    java.lang.Object
      com.bbn.openmap.image.wms.CapabilitiesSupport

    public class CapabilitiesSupport

extends java.lang.Object

Version:
  $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap /wms/CapabilitiesSupport.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
Author:
  pitek

Field Summary
`static int` | `FMT_GETFEATUREINFO`
`static int` | `FMT_GETMAP`
`static java.lang.String` | `WMSPrefix`

Method Summary
`void` | `addLayer(IWmsLayer wmsLayer)`
`void` | `incUpdateSequence()`
`boolean` | `setFormats(int request, java.util.Collection<java.lang.String> formats)`
`void` | `setKeywords(java.util.List<java.lang.String> keywordsList)`
`void` | `setLayersTitle(java.lang.String title)`
`void` | `setOnlineResource(java.lang.String url)`
`void` | `setUrl(java.lang.String url)` Set url to wms servlet like "http://myserver/myproject/wms"
`void` | `setUrl(java.lang.String scheme, java.lang.String hostName, int port, java.lang.String path)` Set url to wms servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WMSPrefix

    public static final java.lang.String WMSPrefix

See Also:
  Constant Field Values

### FMT_GETMAP

    public static final int FMT_GETMAP

See Also:
  Constant Field Values

### FMT_GETFEATUREINFO

    public static final int FMT_GETFEATUREINFO

See Also:
  Constant Field Values

Method Detail

### setUrl

    public void setUrl(java.lang.String scheme,
                       java.lang.String hostName,
                       int port,
                       java.lang.String path)

  Set url to wms servlet.

  Parameters:
    `scheme` -
    `hostName` -
    `port` -
    `path` - a String like "/myproject/wms"

### setUrl

    public void setUrl(java.lang.String url)

  Set url to wms servlet like "http://myserver/myproject/wms"

  Parameters:
    `url` -

### incUpdateSequence

    public void incUpdateSequence()

### setFormats

    public boolean setFormats(int request,
                              java.util.Collection<java.lang.String> formats)

  Parameters:
    `request` -
    `formats` -
  Returns:
    true if request type handled

### setOnlineResource

    public void setOnlineResource(java.lang.String url)

  Parameters:
    `url` -

### setKeywords

    public void setKeywords(java.util.List<java.lang.String> keywordsList)

  Parameters:
    `keywordsList` -

### addLayer

    public void addLayer(IWmsLayer wmsLayer)

### setLayersTitle

    public void setLayersTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details